|  | Home | Documentation | saml2__SubjectConfirmationType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__SubjectConfirmationType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationType is a complexType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__SubjectConfirmationType:
[legend]

## Public Attributes
struct saml2__BaseIDAbstractType *saml2__BaseID | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":BaseID. More...
struct saml2__NameIDType *saml2__NameID | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":NameID. More...
struct saml2__EncryptedElementType *saml2__EncryptedID | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":EncryptedID. More...
struct saml2__SubjectConfirmationDataType * | saml2__SubjectConfirmationData
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationData. More...
char * | Method
| Attribute "Method" of XSD type xs:anyURI. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationType is a complexType.

struct saml2__SubjectConfirmationType operations:

- saml2__SubjectConfirmationType* soap_new_saml2__SubjectConfirmationType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml2__SubjectConfirmationType(struct soap*, saml2__SubjectConfirmationType*) default initialize members
- int soap_read_saml2__SubjectConfirmationType(struct soap*, saml2__SubjectConfirmationType*) deserialize from a source
- int soap_write_saml2__SubjectConfirmationType(struct soap*, saml2__SubjectConfirmationType*) serialize to a sink
- saml2__SubjectConfirmationType* soap_dup_saml2__SubjectConfirmationType(struct soap*, saml2__SubjectConfirmationType* dst, saml2__SubjectConfirmationType <em>src) returns deep copy of saml2__SubjectConfirmationType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__SubjectConfirmationType(saml2__SubjectConfirmationType) deep deletes saml2__SubjectConfirmationType data members, use only on dst after soap_dup_saml2__SubjectConfirmationType(NULL, saml2__SubjectConfirmationType *dst, saml2__SubjectConfirmationType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* saml2__SubjectConfirmationType::Method

Attribute "Method" of XSD type xs:anyURI.

Required attribute.

struct saml2__BaseIDAbstractType* saml2__BaseID saml2__SubjectConfirmationType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":BaseID.

Required nillable (xsi:nil when NULL) element.

struct saml2__NameIDType* saml2__NameID saml2__SubjectConfirmationType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":NameID.

Required nillable (xsi:nil when NULL) element.

struct saml2__EncryptedElementType* saml2__EncryptedID saml2__SubjectConfirmationType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":EncryptedID.

Required nillable (xsi:nil when NULL) element.

struct saml2__SubjectConfirmationDataType* saml2__SubjectConfirmationType::saml2__SubjectConfirmationData

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationData.

Optional element.

The documentation for this struct was generated from the following file:

- saml2.h